Main Page glibmm Namespaces Book

# main.h File Reference

## Namespaces
namespace | Glib
## Classes
class | Glib::PollFD
class | Glib::SignalTimeout
class | Glib::SignalIdle
class | Glib::SignalIO
class | Glib::SignalChildWatch
class | Glib::MainContext
| Main context. More...
class | Glib::MainLoop
class | Glib::Source
class | Glib::TimeoutSource
class | Glib::IdleSource
class | Glib::IOSource
## Enumerations
enum | Glib::IOCondition { Glib::IO_IN, Glib::IO_OUT, Glib::IO_PRI, Glib::IO_ERR, Glib::IO_HUP, Glib::IO_NVAL }
| A bitwise combination representing an I/O condition to watch for on an event source. More...
## Functions
IOCondition | Glib::operator| (IOCondition lhs, IOCondition rhs)
IOCondition | Glib::operator& (IOCondition lhs, IOCondition rhs)
IOCondition | Glib::operator^ (IOCondition lhs, IOCondition rhs)
IOCondition | Glib::operator~ (IOCondition flags)
IOCondition& | Glib::operator|= (IOCondition& lhs, IOCondition rhs)
IOCondition& | Glib::operator&= (IOCondition& lhs, IOCondition rhs)
IOCondition& | Glib::operator^= (IOCondition& lhs, IOCondition rhs)
SignalTimeout | Glib::signal_timeout ()
| Convenience timeout signal.
SignalIdle | Glib::signal_idle ()
| Convenience idle signal.
SignalIO | Glib::signal_io ()
| Convenience I/O signal.
SignalChildWatch | Glib::signal_child_watch ()
| Convenience child watch signal.